Support » Plugin: SyntaxHighlighter Evolved » Doesn’t work at all with new PHP versions

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Donncha Ó Caoimh

    (@donncha)

    Thanks, what errors do you see?

    Hello, because if you are having problems with the new versions of php, I am working with version 7.2 and it generates an error that the wordpress itself blocks to prevent the site from working. But only in the plugin list, since in the home, in the articles if it works correctly. Here I show the error I find in error_log.

    [17-Oct-2019 11:23:45 UTC] PHP Fatal error:  Uncaught Error: [] operator not supported for strings in /home2/public_html/wp-content/plugins/syntaxhighlighter/syntaxhighlighter.php:552
    Stack trace:
    #0 /home2/public_html/wp-includes/class-wp-hook.php(288): SyntaxHighlighter->settings_link('<', 'syntaxhighlight...')
    #1 /home2/public_html/wp-includes/plugin.php(208): WP_Hook->apply_filters('<', Array)
    #2 /home2/public_html/wp-admin/includes/class-wp-plugins-list-table.php(741): apply_filters('plugin_action_l...', Array, 'syntaxhighlight...', Array, 'all')
    #3 /home2/public_html/wp-admin/includes/class-wp-plugins-list-table.php(574): WP_Plugins_List_Table->single_row(Array)
    #4 /home2/public_html/wp-admin/includes/class-wp-list-table.php(1244): WP_Plugins_List_Table->display_rows()
    #5 /home2/public_html/wp-admin/includes/class-wp-list-table.php(1175): WP_List_Table->display_rows_or_placeholder()
    #6 /ho in /home2/public_html/wp-content/plugins/syntaxhighlighter/syntaxhighlighter.php on line 552
Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.